classification
Title: IDLE won't open anymore, .idlerc unaccessible
Type: behavior Stage: resolved
Components: IDLE, Installation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ned.deily Nosy List: ajaksu2, amaury.forgeotdarc, gpolo, ned.deily, python-dev, roger.serwy, skcheng, timium
Priority: normal Keywords: patch

Created on 2008-12-11 03:30 by skcheng, last changed 2011-12-14 23:23 by ned.deily. This issue is now closed.

Files
File name Uploaded Description Edit
issue4625.patch roger.serwy, 2011-12-14 02:35 review
issue4625_rev1.patch ned.deily, 2011-12-14 08:16 review
issue4625_rev1_27.patch ned.deily, 2011-12-14 08:17
Messages (11)
msg77588 - (view) Author: Sophia K. Cheng (skcheng) Date: 2008-12-11 03:30
Hello,

I was able to run IDLE once or twice on my laptop.  Then I downloaded
kiki and tried to run it but had forgotten to install wxPython.  After
that, IDLE no longer opens although the command prompt does still work.
 I get the following error:

C:\Python25>python.exe Lib\idlelib\idle.py
Traceback (most recent call last):
  File "Lib\idlelib\idle.py", line 21, in <module>
    idlelib.PyShell.main()
  File "C:\Python25\lib\idlelib\PyShell.py", line 1404, in main
    shell = flist.open_shell()
  File "C:\Python25\lib\idlelib\PyShell.py", line 275, in open_shell
    self.pyshell = PyShell(self)
  File "C:\Python25\lib\idlelib\PyShell.py", line 813, in __init__
    OutputWindow.__init__(self, flist, None, None)
  File "C:\Python25\lib\idlelib\OutputWindow.py", line 16, in __init__
    EditorWindow.__init__(self, *args)
  File "C:\Python25\lib\idlelib\EditorWindow.py", line 248, in __init__
    self.update_recent_files_list()
  File "C:\Python25\lib\idlelib\EditorWindow.py", line 715, in
update_recent_fil
es_list
    rf_file = open(self.recent_files_path, 'w')
IOError: [Errno 13] Permission denied: 'C:\\Documents and
Settings\\skcheng\\.id
lerc\\recent-files.lst'

I've tried uninstalling and reinstalling several times 2.5 and also 2.6.
 When I look at the folder .idlerc in windows explorer, I get an error
each time I click on it that access is denied, even though I am running
as administrator on my laptop. I have tried uninstalling Python and
deleting the .idlerc folder.  I have also tried manually unchecking the
read-only property for the folder. I have a Lenovo T400 that is built
for Windows Vista, but am running Windows XP.  Thank you.
msg83857 - (view) Author: Timothy Zhang (timium) Date: 2009-03-20 08:26
I meet the same problem and have it fixed. I use Python 2.5.2 on Windows XP.

This is my solution:
1. Choose "Tool->Folder Option" in your explorer menu, then click "View"
tab, uncheck "use simple file sharing(recommended)".
2. Right click on "C:\Documents and Settings\<YourName>\.idlerc" folder,
then click "property", you got the folder property dialog
3. Click "Safety" tab, you may found there's only "System" user in the
list. Click "Add" and add type your username, then click "OK". 
4. Select your name in the list, enable all the permissions in the box
below.

Now this problem should be fixed. Hope this works.
msg86625 - (view) Author: Daniel Diniz (ajaksu2) Date: 2009-04-26 22:21
Any ideas about how the permissions for .idlerc may get wrong? Is this
something we can check and try to fix (or warn about) on install?
msg87692 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2009-05-13 16:43
Was python installed with another user account, or a "just for me" install?
msg91961 - (view) Author: Sophia K. Cheng (skcheng) Date: 2009-08-26 01:30
Thanks!!  This worked perfectly!  Finally got around to trying this out
today.

Sincerely,
Sophia

On 3/20/09 4:26 AM, "Timothy Zhang" <report@bugs.python.org> wrote:

> 
> Timothy Zhang <zt@live.cn> added the comment:
> 
> I meet the same problem and have it fixed. I use Python 2.5.2 on Windows XP.
> 
> This is my solution:
> 1. Choose "Tool->Folder Option" in your explorer menu, then click "View"
> tab, uncheck "use simple file sharing(recommended)".
> 2. Right click on "C:\Documents and Settings\<YourName>\.idlerc" folder,
> then click "property", you got the folder property dialog
> 3. Click "Safety" tab, you may found there's only "System" user in the
> list. Click "Add" and add type your username, then click "OK".
> 4. Select your name in the list, enable all the permissions in the box
> below.
> 
> Now this problem should be fixed. Hope this works.
> 
> ----------
> nosy: +timium
> 
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue4625>
> _______________________________________
msg149417 - (view) Author: Roger Serwy (roger.serwy) * (Python committer) Date: 2011-12-14 02:35
A quick test on Linux would be:
    chmod -w ~/.idlerc/recent-files.lst

IDLE will give a traceback and not start. This should not be a fatal error.

The provided patch will present an error dialog if the recent files list can not be written.
msg149429 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2011-12-14 08:16
A couple of comments on the patch:
1. Displaying a popup is fine but it gets annoying when it does it repeatedly.  Since this is really a non-fatal error as the user can continue, it would be better to only display the popup once.
2. Another file in .idlerc, breakpoints.lst, has the same problem.

Here are updated patches that address these issues.
msg149455 - (view) Author: Roger Serwy (roger.serwy) * (Python committer) Date: 2011-12-14 15:50
I just tested Ned's updated patches against 3.3a0 and 2.7 and they work as advertised.
msg149458 - (view) Author: Sophia K. Cheng (skcheng) Date: 2011-12-14 17:24
Hi Ned,

Thanks for the patch, I appreciate it.  Sadly, I've since upgraded my
laptop to Win 7, and don't seem to be having the problem anymore :-/ , so I
can't verify.  But thank you for writing a patch.

Sincerely,
Sophia

On Wed, Dec 14, 2011 at 10:50 AM, Roger Serwy <report@bugs.python.org>wrote:

>
> Roger Serwy <roger.serwy@gmail.com> added the comment:
>
> I just tested Ned's updated patches against 3.3a0 and 2.7 and they work as
> advertised.
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue4625>
> _______________________________________
>
msg149484 - (view) Author: Roundup Robot (python-dev) Date: 2011-12-14 23:18
New changeset 7857d1f4ce79 by Ned Deily in branch '2.7':
Issue #4625: If IDLE cannot write to its recent file or breakpoint
http://hg.python.org/cpython/rev/7857d1f4ce79

New changeset 26e3e542d20d by Ned Deily in branch '3.2':
Issue #4625: If IDLE cannot write to its recent file or breakpoint
http://hg.python.org/cpython/rev/26e3e542d20d

New changeset ba832d42cd9e by Ned Deily in branch 'default':
Issue #4625: If IDLE cannot write to its recent file or breakpoint
http://hg.python.org/cpython/rev/ba832d42cd9e

New changeset f6ca22bbf138 by Ned Deily in branch '2.7':
Issue #4625: add NEWS entry.
http://hg.python.org/cpython/rev/f6ca22bbf138

New changeset f1fe411bfd6b by Ned Deily in branch '3.2':
Issue #4625: add NEWS entry.
http://hg.python.org/cpython/rev/f1fe411bfd6b

New changeset f6510cdf4ada by Ned Deily in branch 'default':
Issue #4625: Add NEWS entry.
http://hg.python.org/cpython/rev/f6510cdf4ada
msg149485 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2011-12-14 23:23
Applied to 2.7 (for release in 2.7.3), 3.2 (3.2.3), and default (3.3).
History
Date User Action Args
2012-08-15 01:09:01r.david.murraylinkissue15658 superseder
2011-12-14 23:23:10ned.deilysetstatus: open -> closed
versions: + Python 2.7, Python 3.2, Python 3.3, - Python 2.6
messages: + msg149485

assignee: ned.deily
resolution: fixed
stage: patch review -> resolved
2011-12-14 23:18:30python-devsetnosy: + python-dev
messages: + msg149484
2011-12-14 17:24:21skchengsetmessages: + msg149458
2011-12-14 15:50:13roger.serwysetmessages: + msg149455
2011-12-14 08:21:40ned.deilylinkissue9404 superseder
2011-12-14 08:17:05ned.deilysetfiles: + issue4625_rev1_27.patch
2011-12-14 08:16:50ned.deilysetfiles: + issue4625_rev1.patch

nosy: + ned.deily
messages: + msg149429

stage: test needed -> patch review
2011-12-14 02:35:13roger.serwysetfiles: + issue4625.patch

nosy: + roger.serwy
messages: + msg149417

keywords: + patch
2009-08-26 01:30:47skchengsetmessages: + msg91961
2009-05-13 16:43:43amaury.forgeotdarcsetnosy: + amaury.forgeotdarc
messages: + msg87692
2009-04-26 22:21:29ajaksu2setpriority: normal

type: behavior
components: + Installation

nosy: + gpolo, ajaksu2
messages: + msg86625
stage: test needed
2009-03-20 08:26:35timiumsetnosy: + timium
messages: + msg83857
2008-12-20 14:28:29loewissetversions: + Python 2.6, - Python 2.5.3
2008-12-11 03:30:21skchengcreate